We're Hiring!

Mattermost, Inc.

Cannot run on aws eks

I followed the official kubernates installation guide but i failed to run it on amazon eks.

I am using external database and s3 as external file storage.

The database connection seems okay.

There are couple of errors, one states that it failed to connect the smtp server and other is about the license issue.

I am not using any smtp and Enterprise license.

Steps to reproduce

Latest version: 5.31.0

Observed behavior

{"level":"info","ts":1616140720.8784761,"caller":"app/server.go:225","msg":"Server is initializing..."}                                                                │
│ {"level":"info","ts":1616140720.8786979,"caller":"app/web_hub.go:83","msg":"Starting websocket hubs","number_of_hubs":4}                                               │
│ {"level":"debug","ts":1616140720.8788095,"caller":"app/web_hub.go:413","msg":"Hub is starting","index":0}                                                              │
│ {"level":"debug","ts":1616140720.8788967,"caller":"app/web_hub.go:413","msg":"Hub is starting","index":2}                                                              │
│ {"level":"debug","ts":1616140720.878983,"caller":"app/web_hub.go:413","msg":"Hub is starting","index":1}                                                               │
│ {"level":"debug","ts":1616140720.8790421,"caller":"app/web_hub.go:413","msg":"Hub is starting","index":3}                                                              │
│ {"level":"info","ts":1616140720.8887916,"caller":"utils/i18n.go:90","msg":"Loaded system translations","for locale":"en","from locale":"/mattermost/i18n/en.json"}     │
│ {"level":"debug","ts":1616140720.8914328,"caller":"utils/html.go:30","msg":"Parsing server templates","templates_directory":"/mattermost/templates"}                   │
│ {"level":"info","ts":1616140720.9053228,"caller":"sqlstore/supplier.go:246","msg":"Pinging SQL","database":"master"}                                                   │
│ {"level":"warn","ts":1616140720.9250782,"caller":"sqlstore/upgrade.go:137","msg":"The database schema version and model versions do not match","schema_version":"5.31. │
│ {"level":"debug","ts":1616140720.9825056,"caller":"sqlstore/preference_store.go:42","msg":"Deleting any unused pre-release features"}                                  │
│ {"level":"debug","ts":1616140720.9855235,"caller":"utils/license.go:83","msg":"We could not find the license key in the database or on disk at","filename":"/mattermos │
│ {"level":"info","ts":1616140720.9860647,"caller":"app/license.go:54","msg":"License key from https://mattermost.com required to unlock enterprise features."}          │
│ {"level":"info","ts":1616140721.003217,"caller":"sqlstore/post_store.go:1687","msg":"Post.Message has size restrictions","max_characters":16383,"max_bytes":65535}     │
│ {"level":"error","ts":1616140721.0041983,"caller":"cluster/cluster.go:245","msg":"This server is not licensed to run in High Availability mode."}                      │
│ {"level":"error","ts":1616140721.0187395,"caller":"app/server.go:438","msg":"Mail server connection test is failed: Could not connect to SMTP server, check SMTP server

It seems that your database is not the correct version for the Mattermost instance that you have installed, can you provide further insight into the setup and version of your database?

Also @ahmaddanial would you be able to provide reference to the correct location/procedure to follow to upgrade the database schema?